<?php
/**
 * Theme Customizer
 *
 * @package Typal2woo
 */

if ( class_exists( 'WP_Customize_Control' ) ) {
	class Typal2_Textarea_Control extends WP_Customize_Control {
	    public $type = 'textarea';
		public function render_content() {
		?>
	        <label>
	        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	        <textarea rows="5" class="custom-textarea" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
	        </label>
	        <?php
		}
	}
}

function typal2_register_theme_customizer( $wp_customize ) {

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

    $wp_customize->add_setting(
        'typal2_link_color',
        array(
            'default'     => '#a86dad',
	'sanitize_callback' => 'sanitize_hex_color',
            'transport'   => 'postMessage'
        )
    );
    $wp_customize->add_setting(
        'typal2_hover_color',
        array(
            'default'     => '#b677bb',
	'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_setting(
        'typal2_menu_color',
        array(
            'default'     => '#2c2c2c',
	'sanitize_callback' => 'sanitize_hex_color',
            'transport'   => 'postMessage'
        )
    );
    $wp_customize->add_setting(
        'typal2_menu_current',
        array(
            'default'     => '#a86dad',
	'sanitize_callback' => 'sanitize_hex_color',
            'transport'   => 'postMessage'
        )
    );

 //CONTROL

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'hover_color',
            array(
                'label'      => __( 'Hover Color', 'typal2' ),
                'section'    => 'colors',
                'settings'   => 'typal2_hover_color'
            )
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'link_color',
            array(
                'label'      => __( 'Link Color', 'typal2' ),
                'section'    => 'colors',
                'settings'   => 'typal2_link_color'
            )
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'menu_color',
            array(
                'label'      => __( 'Menu Color', 'typal2' ),
                'section'    => 'colors',
                'settings'   => 'typal2_menu_color'
            )
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'menu_current',
            array(
                'label'      => __( 'Menu Current', 'typal2' ),
                'section'    => 'colors',
                'settings'   => 'typal2_menu_current'
            )
        )
    );

	/*-----------------------------------------------------------
	 * Logo section
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'typal2_logo_options',
		array(
			'title'     => __( 'Logo Options', 'typal2' ),
			'priority'  => 200
		)
	);


	/* Logo Image Upload */
	$wp_customize->add_setting(
		'logo_upload',
		array(
		'sanitize_callback' => 'esc_url_raw'
		)
	);

//Logo Image CONTROL
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_upload', array(
		'label' => __( 'Logo Image', 'typal2' ),
		'section' =>  'typal2_logo_options',
		'settings' => 'logo_upload'
	) ) );

	/*-----------------------------------------------------------
	 * Home Tagline section
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'typal2_home_tagline',
		array(
			'title'     => __( 'Home Tagline', 'typal2' ),
			'priority'  => 300
		)
	);
		$wp_customize->add_setting(
			'home_tagline',
			array(
			'default' => '<h1>Home Tagline</h1>',
			'sanitize_callback' => 'typal2_sanitize_textarea',
			'transport'   => 'postMessage'
			)
		);
    $wp_customize->add_setting(
        'home_tagline_bgcolor',
        array(
            'default'     => '#e8e09d',
	'sanitize_callback' => 'sanitize_hex_color',
            'transport'   => 'postMessage'
        )
    );
	$wp_customize->add_setting(
		'home_tagline_bgimg',
		array(
		'default'     => get_template_directory_uri().'/img/tagline.jpg',
		'sanitize_callback' => 'esc_url_raw'
		)
	);
		$wp_customize->add_setting(
			'sub_tagline',
			array(
			'default' => 'Call to action this text <a href="#">LINK</a>',
			'sanitize_callback' => 'typal2_sanitize_textarea',
			'transport'   => 'postMessage'
			)
		);

//Home TagLine CONTROL
		$wp_customize->add_control( new Typal2_Textarea_Control( $wp_customize, 'home_tagline', array(
			'label' => __( 'Tagline Text', 'typal2' ),
			'section' => 'typal2_home_tagline',
			'settings' => 'home_tagline',
			//'priority' => 27,
			'type' => 'text',
		) ) );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'home_tagline_bgcolor',
            array(
                'label'      => __( 'Background Color', 'typal2' ),
                'section'    => 'typal2_home_tagline',
                'settings'   => 'home_tagline_bgcolor'
            )
        )
    );
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'home_tagline_bgimg', array(
		'label' => __( 'Background Image', 'typal2' ),
		'section' =>  'typal2_home_tagline',
		'settings' => 'home_tagline_bgimg'
	) ) );
		$wp_customize->add_control( new Typal2_Textarea_Control( $wp_customize, 'sub_tagline', array(
			'label' => __( 'SubTagline Txt', 'typal2' ),
			'section' => 'typal2_home_tagline',
			'settings' => 'sub_tagline',
			//'priority' => 27,
			'type' => 'text',
		) ) );
	/*-----------------------------------------------------------
	 * Call to Action section
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'typal2_call_action',
		array(
			'title'     => __( 'Call to Action', 'typal2' ),
			'priority'  => 400
		)
	);
	$wp_customize->add_setting(
		'callaction_txt',
		array(
			'default'            => 'Here the call to action!',
			'sanitize_callback'  => 'typal2_sanitize_txt',
			'transport'          => 'postMessage'
		)
	);
	$wp_customize->add_setting(
		'callaction_but_txt',
		array(
			'default'            => 'Button Text',
			'sanitize_callback'  => 'typal2_sanitize_txt',
			'transport'          => 'postMessage'
		)
	);
	$wp_customize->add_setting(
		'callaction_url',
		array(
		'default'            => '#',
		'sanitize_callback' => 'esc_url_raw'
		)
	);
//Call to Action CONTROL
	$wp_customize->add_control(
		'callaction_txt',
		array(
			'section'  => 'typal2_call_action',
			'label'    => __( 'Call Action Text', 'typal2' ),
			'type'     => 'text'
		)
	);
	$wp_customize->add_control(
		'callaction_but_txt',
		array(
			'section'  => 'typal2_call_action',
			'label'    => __( 'Button Text', 'typal2' ),
			'type'     => 'text'
		)
	);
	$wp_customize->add_control(
		'callaction_url',
		array(
			'section'  => 'typal2_call_action',
			'label'    => __( 'URL Button', 'typal2' ),
			'type'     => 'text'
		)
	);

	/*-----------------------------------------------------------
	 * Right Header section
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'typal2_right_header',
		array(
			'title'     => __( 'Right Header', 'typal2' ),
			'priority'  => 500
		)
	);
	$wp_customize->add_setting(
		'right_header_txt',
		array(
			'default' => 'Only Today!<br /><br /><a href="#" class="btn red" style="background: #a86dad;"><i class="fa fa-shopping-cart"></i></a>',
			'sanitize_callback'  => 'typal2_sanitize_textarea',
			'transport'          => 'postMessage'
		)
	);
//Right Header CONTROL
	$wp_customize->add_control(
		'right_header_txt',
		array(
			'section'  => 'typal2_right_header',
			'label'    => __( 'Contact or Slogan', 'typal2' ),
			'type'     => 'text'
		)
	);
	/*-----------------------------------------------------------
	 * Copyright section
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'typal2_custom_copyright',
		array(
			'title'     => __( 'Footer Copyright', 'typal2' ),
			'priority'  => 600
		)
	);
	$wp_customize->add_setting(
		'copyright_txt',
		array(
			'default'            => 'All rights reserved',
			'sanitize_callback'  => 'typal2_sanitize_txt',
			'transport'          => 'postMessage'
		)
	);
//Copyright CONTROL
	$wp_customize->add_control(
		'copyright_txt',
		array(
			'section'  => 'typal2_custom_copyright',
			'label'    => __( 'Copyright', 'typal2' ),
			'type'     => 'text'
		)
	);


}
add_action( 'customize_register', 'typal2_register_theme_customizer' );

	/*-----------------------------------------------------------*
	 * Sanitize
	 *-----------------------------------------------------------*/
function typal2_sanitize_textarea( $input ) {
	return wp_kses_post(force_balance_tags($input));
}
function typal2_sanitize_txt( $input ) {
	return strip_tags( stripslashes( $input ) );
}

	/*-----------------------------------------------------------*
	 * Styles print
	 *-----------------------------------------------------------*/
function typal2_customizer_css() {
    ?>
    <style type="text/css">
        .site-content a { color: <?php echo get_theme_mod( 'typal2_link_color' ); ?>; }
        .site-content a:hover, .site-footer a:hover { color: <?php echo get_theme_mod( 'typal2_hover_color' ); ?>; }
        .main-navigation { background: <?php echo get_theme_mod( 'typal2_menu_color' ); ?>; }
	.nav-menu li:hover,
	.nav-menu li.sfHover,
	.nav-menuu a:focus,
	.nav-menu a:hover, 
	.nav-menu a:active { background: <?php echo get_theme_mod( 'typal2_hover_color' ); ?>; }
	.nav-menu .current_page_item a,
	.nav-menu .current-post-ancestor a,
	.nav-menu .current-menu-item a { background: <?php echo get_theme_mod( 'typal2_menu_current' ); ?>; }
    </style>
    <?php
}
add_action( 'wp_head', 'typal2_customizer_css' );

	/*-----------------------------------------------------------*
	 * Live Preview Script
	 *-----------------------------------------------------------*/
function typal2_customizer_live_preview() {
    wp_enqueue_script(
        'typal2-customizer',
        get_template_directory_uri() . '/js/typal2-customizer.js',
        array( 'jquery', 'customize-preview' ),
        '13072014',
        true
    );
}
add_action( 'customize_preview_init', 'typal2_customizer_live_preview' );